ReverseSel(int sel[],int all)
/* 項目反転 */
{
int i,j,k,s;
	s=sel[0]; /* 現在の登録数 */
	j=s+1; /* sel[]の中で現在空いているところの先頭 */
	k=1; /* 現在登録されているものの先頭 */
	for (i=1;i<=all;i++) {
		if (k<=s && i==sel[k]) { /* 登録中の番号は飛ばす */
			/* sel[]の内容は小さいもの順に並んでいるものとする */
			k++;
			continue;
		}
		/* 現在登録されていない部分を空いているところに登録する */
		sel[j++]=i;
	}
	for (i=s+1;i<=all;i++) sel[i-s]=sel[i];
	sel[0]=all-s;
}
